Gajim - 2017-09-25


  1. bot Yann Leboulanger pushed 26 commits to branch _refs/heads/master_ of _gajim_ <https://dev.gajim.org/gajim/gajim>: *a2ac23d1* <https://dev.gajim.org/gajim/gajim/commit/a2ac23d15becc40f6deb1b02dd195935c6d6c41b> Add MANIFEST.in *c3b1c1dd* <https://dev.gajim.org/gajim/gajim/commit/c3b1c1dd6abcd097a798ae86d6c20deeb7debdc2> Add author and license information to setup.py *996607d6* <https://dev.gajim.org/gajim/gajim/commit/996607d65670838f93367dab5c2cf739467fa014> CI: Update package script *343811c2* <https://dev.gajim.org/gajim/gajim/commit/343811c2f679112207dd5a21d67f76287e1405c7> Cover plugins in setup.py *5375965f* <https://dev.gajim.org/gajim/gajim/commit/5375965f875dbe3d4ddf7674af899454baa1068c> Don't hard code python path in scripts to support virtualenv *77014f09* <https://dev.gajim.org/gajim/gajim/commit/77014f09c6b270ddd49786545578a4b8cccf513d> Add dev version number support *06102e7d* <https://dev.gajim.org/gajim/gajim/commit/06102e7d972c8e4fbfa2388afc30f944cf3051e5> Linux: fix translation issue *7751c3e7* <https://dev.gajim.org/gajim/gajim/commit/7751c3e72260b69ea7aa3a62f9b1799a7a000125> setup.py: remove intltool dependency *03955a68* <https://dev.gajim.org/gajim/gajim/commit/03955a68cf2aef3c816ca75bf03656351b3eb09e> setup.py: add description *30424b36* <https://dev.gajim.org/gajim/gajim/commit/30424b364a121c4a215704432b8bf36320032a64> Move ipython_view to gajim.dev and exclude it from tarball *6bcd4751* <https://dev.gajim.org/gajim/gajim/commit/6bcd4751aa0dedaae4cbbcd471e76db7c4a599a8> setup.py: fix license *7ca5a1e8* <https://dev.gajim.org/gajim/gajim/commit/7ca5a1e8cc8c4255d52a1cdf4bb7aeec36171de4> setup.py: include activities, moods and sounds *9ef94246* <https://dev.gajim.org/gajim/gajim/commit/9ef942469a9f45551265e7413c070b6823550ec5> Package test, but don't install it *9950228d* <https://dev.gajim.org/gajim/gajim/commit/9950228dca3ab0169d82780c9888a941136a3a5d> setup.py: add test and test_nogui *864e5725* <https://dev.gajim.org/gajim/gajim/commit/864e572584e31275e9d1327982868c7ce2b26f8e> setup.py: install missing files *3e80707e* <https://dev.gajim.org/gajim/gajim/commit/3e80707eee5196b0cd0f4d22660df08e093ca0e9> setup.py: add update_po command *289c67fd* <https://dev.gajim.org/gajim/gajim/commit/289c67fd8a590e65f335135a3a09f9ba6b00887a> setup.py: always regenerate *.desktop and *.appdata.xml otherwise we might ship outdated files *af89d7cf* <https://dev.gajim.org/gajim/gajim/commit/af89d7cfa6e3f87d89fdeaa184a13f5706b63036> autopep8 setup.py *5819f7e4* <https://dev.gajim.org/gajim/gajim/commit/5819f7e439c18b7533d748b019c3e54b4c244971> setup.py: move plugins directory to data directory *81a6be74* <https://dev.gajim.org/gajim/gajim/commit/81a6be74ad0080281c82d7f3cce42244655bb67f> Merge branch 'setuptools' into 'master' Use Setuptools to build gajim Closes #8633 See merge request !128
  2. concerto I just logged into Gajim after a few days. Messages people have sent to me in the meantime are played back even if I've read and/or responded to them on Conversations, and the messages I've sent to them aren't in the playback. Are these bugs?
  3. lovetox what is a playback
  4. concerto lovetox, the MAM one, IIUC?
  5. lovetox in mam are all messages, why shouldnt they be there if you read them?
  6. concerto lovetox, if someone has read/responded to them, they don't need to be shown to them again. Can't they just be added to the history "quietly"?
  7. lovetox they arent?
  8. lovetox i still dont know what you mean by playback
  9. concerto lovetox, I open Gajim, and if I had used another client in the meantime - for each contact with new messages, a tab is opened, and all messages they sent are shown. That's what I meant.
  10. pep. lovetox, probably just getting notified again
  11. concerto and yeah, they're shown as new messages e.g. they're not part of the "history preview" in each tab, and the unread counter in tabs indicates them
  12. lovetox if that happens in master, thats a unknown bug
  13. lovetox if it happens on 0.16.8 its known
  14. lovetox i guess you can reproduce this everytime?
  15. pep. lovetox, you use 0333 for this?
  16. concerto lovetox, yeah, gajim-default-nightly on Debian Stretch.
  17. lovetox i guess you cant reproduce this everytime?
  18. concerto lovetox, I'll try reproducing it again
  19. lovetox pep you never should get notified about mam messages, because at the point when you query mam messages, the messages are already received by another device
  20. pep. right
  21. concerto lovetox, wat. It didn't happen again.
  22. lovetox tell me if it happens again
  23. lovetox i have a clue why it happens, we have a unread message table, sometimes this is not cleared properly and they pop up at weird moments
  24. lovetox did you switch to 0.16.8 and back maybe?
  25. bot Philipp Hörist pushed 1 commit to branch _refs/heads/master_ of _gajim_ <https://dev.gajim.org/gajim/gajim>: *f8f84338* <https://dev.gajim.org/gajim/gajim/commit/f8f84338b2f211d652c39aff06f90e84bc073b82> Rename Zeroconf Credentials Dialog
  26. debacle I did not get (or missed) the answer for this: nbxmpp latest release (tagged and pypi) is 0.5.6, but Gajim master needs newer nbxmpp. What about 0.5.7? Was there a release, but not tagged? (No need for any action, I just like to understand.)
  27. lovetox no there was no realease
  28. lovetox but we can do one if that helps you
  29. debacle lovetox: No, not necessary at the moment. I can just package the master for Debian experimental, to be able to do the same with Gajim.
  30. debacle I just wanted to be sure, that I understood correctly! :~)
  31. bot Philipp Hörist pushed 1 commit to branch _refs/heads/master_ of _python-nbxmpp_ <https://dev.gajim.org/gajim/python-nbxmpp>: *ffb08348* <https://dev.gajim.org/gajim/python-nbxmpp/commit/ffb08348468e72488d7efb250b62174c9e589b73> Prepare 0.6.0 release
  32. bot Philipp Hörist pushed 1 commit to branch _refs/heads/master_ of _python-nbxmpp_ <https://dev.gajim.org/gajim/python-nbxmpp>: *b9fa37be* <https://dev.gajim.org/gajim/python-nbxmpp/commit/b9fa37be8d6bcb7296926a755deb2cfb62faec89> Update Version of setup.py
  33. debacle Lovetox: :~)
  34. concerto lovetox, oh, I missed your response. > did you switch to 0.16.8 and back maybe? No, I didn't.
  35. mimi89999 lovetox: I will test your changes now...
  36. lovetox :)
  37. mimi89999 25/09/2017 18:09:25 (I) gajim.avatar loading avatar 7a69e8c3aeb1ac04055df47372bb3e8e14750551 failed btrying to convert avatar image using pillow 25/09/2017 18:09:25 (W) gajim.avatar Pillow convert failed: 7a69e8c3aeb1ac04055df47372bb3e8e14750551 25/09/2017 18:09:25 (D) gajim.avatar Error Traceback (most recent call last): File "/home/michel/git/gajim/gajim/gui_interface.py", line 2398, in get_avatar path, size, size) GLib.GError: gdk-pixbuf-error-quark: Impossible de reconnaître le format d'image du fichier « /home/michel/.cache/gajim/avatars/7a69e8c3aeb1ac04055df47372bb3e8e14750551 » (3) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/michel/git/gajim/gajim/gui_interface.py", line 2406, in get_avatar avatar = Image.open(path).convert("RGBA") NameError: name 'Image' is not defined
  38. mimi89999 ...
  39. mimi89999 lovetox:
  40. mimi89999 lovetox: Why are you converting webp avatars to PNG? They used to display well...
  41. lovetox NameError: name 'Image' is not defined
  42. lovetox you dont have pillow installed
  43. mimi89999 from PIL import Image
  44. mimi89999 Missing in gui_interface.py
  45. lovetox ups :)
  46. lovetox can you add it yourself and try again?
  47. mimi89999 Sure ;-)
  48. lovetox and we dont convert to png
  49. lovetox that comment is wrong
  50. mimi89999 michel@debian:~/git/gajim$ git diff diff --git a/gajim/gui_interface.py b/gajim/gui_interface.py index d23af2080..ad66437de 100644 --- a/gajim/gui_interface.py +++ b/gajim/gui_interface.py @@ -41,6 +41,11 @@ import time import math import hashlib +try: + from PIL import Image +except: + pass + from gi.repository import Gtk from gi.repository import GdkPixbuf from gi.repository import GLib
  51. lovetox i didnt find this, because the recent pillow version does not work on windows :/
  52. mimi89999 Restarting...
  53. mimi89999 I am back
  54. mimi89999 lovetox: It is not the end of my fixes...
  55. lovetox whats wrong
  56. mimi89999 25/09/2017 18:24:01 (E) gajim.c.ged Error while running an even handler: <bound method ConnectionPubSub._nec_pubsub_avatar_received of <gajim.common.connection.Connection object at 0x7f53f9e43630>> Traceback (most recent call last): File "/home/michel/git/gajim/gajim/common/ged.py", line 93, in raise_event if handler(*args, **kwargs): File "/home/michel/git/gajim/gajim/common/pubsub.py", line 229, in _nec_pubsub_avatar_received app.interface.update_avatar(self.name, jid) UnboundLocalError: local variable 'jid' referenced before assignment
  57. mimi89999 `app.interface.update_avatar(self.name, jid)` should be in that else just before?
  58. mimi89999 lovetox:
  59. lovetox im thinking :)
  60. lovetox yeah put it int the else
  61. lovetox but also in the if
  62. int what? ;)
  63. lovetox and in the if change it to obj.jid
  64. mimi89999 Last thing I have issues with:
  65. mimi89999 25/09/2017 18:23:37 (E) gajim.avatar no gc contact found: mimi89999
  66. lovetox nah no that also will not work
  67. lovetox damn thats more complicated wait 5 minutes i update the mr
  68. lovetox yeah ignore that for now
  69. mimi89999 This is just after `25/09/2017 18:24:01 (I) gajim.avatar Received Avatar (Pubsub): None 1c5d03c0fb1a62a41ee04de0722a894fd78b2aed`
  70. mimi89999 That is the hash of my avatar
  71. lovetox dont focus too much on the debug messages, important question is, can you see your avatar in the roster?
  72. mimi89999 lovetox: We are in the `self.get_own_jid().bareMatch(obj.jid)` part of the or in the if...
  73. lovetox i fixed it
  74. lovetox update the MR
  75. mimi89999 lovetox: I can't
  76. lovetox no i meant pull the changes
  77. mimi89999 lovetox: I can't see my avatar...
  78. lovetox yeah because the update method failed
  79. lovetox but with my latest commit it should work now
  80. mimi89999 Pulling and restarting...
  81. lovetox or i missed again something
  82. lovetox i updated the MR again
  83. mimi89999 lovetox: No errors now
  84. mimi89999 But still 25/09/2017 18:40:38 (E) gajim.avatar no gc contact found: mimi89999 and missing my avatar in roster.
  85. mimi89999 lovetox: I will update again
  86. lovetox in gc roster?
  87. lovetox or in normal?
  88. lovetox ah in normal you dont ahve your self probably
  89. lovetox in gc its normal, as you dont publish your avatar with a vcard
  90. lovetox pubsub does not work in gc
  91. mimi89999 OK. I will update again.
  92. lovetox test it with your conversations contacts, where it didnt work before
  93. lovetox in your main roster
  94. lovetox in GC actually that patch should not change anything
  95. mimi89999 lovetox: I don't remember who were they now 😂
  96. lovetox can you add my dev acc
  97. lovetox i sent you a request
  98. mimi89999 lovetox: I don't see your avatar for the account you just sent me an invite...
  99. lovetox i dont have one
  100. lovetox i wanted to test if i see yours
  101. lovetox and it works
  102. lovetox i see your cat thingy
  103. lovetox :)
  104. mimi89999 lovetox: I have pep_to_vcard
  105. lovetox yes but thats not enough
  106. mimi89999 On my server
  107. lovetox vcard is not meant to be polled the whole time
  108. lovetox so nobody will know that you have a vcard until they ask for your information
  109. mimi89999 lovetox: Can you set an avatar in Conversations?
  110. lovetox i dont have conversations or a smartphone sorry
  111. lovetox but yeah i noticed that your pep to vcard works
  112. lovetox you can see it if you request your information in GC
  113. lovetox but for roster gajim relies on some update mechanism, like pubsub telling us that there is a avatar to be oulled
  114. lovetox that works now :)
  115. mimi89999 And private MUCs?
  116. lovetox you need presence subscription for pubsub to notify me
  117. lovetox this may change in the future
  118. lovetox but its not here yet
  119. mimi89999 OK.
  120. lovetox actually pep avatars are in every way worse to what everyone used before, vcard
  121. lovetox it does not have a vcard, and it only works with contacts in your roster
  122. mimi89999 lovetox: Thanks a lot. I will be able to see avatars of contacts using Conversations that aren't on my server.
  123. lovetox acutally i think conversations did this only because it wanted to save traffic with not supporting vcard
  124. lovetox but still wanted to have avatars
  125. lovetox mimi89999, yeah that should work fine now, i see that i merge this over the next days
  126. mimi89999 ?
  127. lovetox the avatars that are not on your server :)
  128. mimi89999 > i see that i merge this over the next days ??
  129. mimi89999 test
  130. mimi89999 lovetox:
  131. mimi89999 25/09/2017 19:01:41 (E) gajim.c.ged Error while running an even handler: <bound method ConnectionHandlers._nec_roster_received of <gajim.common.connection.Connection object at 0x7f6ef9e443c8>> Traceback (most recent call last): File "/home/michel/git/gajim/gajim/common/ged.py", line 93, in raise_event if handler(*args, **kwargs): File "/home/michel/git/gajim/gajim/common/connection_handlers.py", line 1991, in _nec_roster_received groups=info['groups'], avatar_sha=info['avatar_sha'])) KeyError: 'avatar_sha'
  132. lovetox yeah thanks, i dont know why this happens have to look into it
  133. mimi89999 lovetox: Any news on that text field issue?
  134. lovetox GTK bug, im not able to work around it too complicated
  135. lovetox i looked at other gtk chat apps
  136. lovetox and they use fields that dont have mutliline support
  137. lovetox do we want that?
  138. mimi89999 lovetox: What happens when the line ends?
  139. lovetox it never ends
  140. lovetox that was not a serious question, i think its bad to have non multiline
  141. lovetox but i have to report the issue and hope someone fixes it
  142. mimi89999 lovetox: You haven't reported it yet?
  143. lovetox no, no time, they always want reproduceable examples and what not
  144. mimi89999 lovetox‎: My friend just installed Gajim stable and is getting "***@conference.lebihan.pl does not exist" every time he tries to join. How do debug that?
  145. mathieui did they accidentally add the conference as a contact?
  146. mimi89999 I don't thing so
  147. mimi89999 He actually did have it twice...
  148. mimi89999 (In bookmarks and roster)
  149. lovetox was he joined previously?
  150. lovetox that error seems like correct error
  151. lovetox muc is not reachable for him
  152. lovetox either a connection problem, or the famous prosody bug
  153. lovetox mathieui, the is already in roster bug was regarding a mediated invite from a muc, that gajim not always detected as a muc
  154. lovetox but is fixed for a time now
  155. mimi89999 What prosody bug?
  156. mimi89999 No connection issues. He was able to write to me...
  157. lovetox a bug that doesnt let you join mucs
  158. lovetox i cant join the XSF channel for over a month :D
  159. mimi89999 lovetox: This is an s2s issue. He is on my server.
  160. lovetox no idea then, does the problem exist with all mucs on your server?
  161. Asterix nbxmpp 0.6.0 on pipy, and on ftp.debian.org
  162. Asterix tag created
  163. lovetox thanks Asterix !
  164. Asterix thanks for preparing it
  165. lovetox otherwise mimi89999 you can ask him to open the xml console and copy paste you what it says, after he tries to join
  166. mimi89999 I know... Asking a contact to debug remotely is always complicated 😂
  167. lovetox i would look into your server logs
  168. lovetox its very unlikely that gajim just doesnt join a muc with this error
  169. lovetox this error most likely means we got a "unavailable" from the server
  170. lovetox maybe a members-only room and he is not in the memberslist?
  171. mimi89999 He is... I will check tomorrow...